unit umain;

{$mode objfpc}{$H+}

interface

uses
	Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls;

type

	{ TForm1 }

 TForm1 = class(TForm)
		DateBtn: TButton;
		procedure DateBtnClick(Sender: TObject);
	private
		function TodayAsString: string;
	public

	end;

var
	Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.DateBtnClick(Sender: TObject);
begin
	ShowMessageFmt('Today is %s', [TodayAsString]);
end;

function TForm1.TodayAsString: string;
begin
	Result := FormatDateTime('dddd, mmm d, yyyy', Now);
end;

end.
